#include "Contact.class.hpp"
#include <iostream>

Contact::Contact(void)  {
	return ;
}

Contact::~Contact(void) {
	return ;
}


void Contact::setContact(const std::string &secret,
                         const std::string &first_name,
                         const std::string &last_name,
                         const std::string &nickname,
                         const std::string &number) {
	
	this->_secret = secret.empty() ? "NA" : secret;
	this->first_name = first_name.empty() ? "NA" : first_name;
	this->last_name = last_name.empty() ? "NA" : last_name;
	this->nickname = nickname.empty() ? "NA" : nickname;
	this->number = number.empty() ? "NA" : number;
}

void Contact::getContact() const {
	std::cout << "First name: " << first_name << std::endl;
	std::cout << "Last name: " << last_name << std::endl;
	std::cout << "Nickname: " << nickname << std::endl;
	std::cout << "Number: " << number << std::endl;
	std::cout << "Secret: " << _secret << std::endl;
}
